Name:           blueonyx-phpMyAdmin
Version:        5.2.0
Release:        3%{?dist}
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Team BlueOnyx
URL:            http://www.phpmyadmin.net/
License:        GPLv2+
Group:          Applications/Internet
Distribution:   BlueOnyx on EL8
Source:         %{name}-%{version}.tar.gz
Obsoletes:	phpMyAdmin
Summary: 	Web based MySQL browser written in php

%description
phpMyAdmin is a tool written in PHP intended to handle the administration of
MySQL over the Web. Currently it can create and drop databases,
create/drop/alter tables, delete/edit/add fields, execute any SQL statement, 
manage keys on fields, manage privileges,export data into various formats and
is available in 50 languages

%prep
%setup -q -n %{name}-%{version}

%build
echo "Working on $RPM_BUILD_ROOT"

%install
%{__rm} -rf %{buildroot}
# set up path structure
mkdir %{buildroot}/
mv * %{buildroot}/

%pre

%post

if [ -d "/usr/sausalito/ui/web/base/phpMyAdmin/setup" ];then
    chmod 600 -R /usr/sausalito/ui/web/base/phpMyAdmin/setup &>/dev/null || :
fi

# Explicitly exit with status 0 to indicate success
exit 0

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/sausalito/ui/web/base/phpMyAdmin
%config %{_sysconfdir}/admserv/conf.d/phpMyAdmin.conf
%config %{_sysconfdir}/phpMyAdmin

%changelog

* Sat Mar 09 2024 Michael Stauber <mstauber@blueonyx.it> 5.2.0-3
- Fix in post-install for 5210R CD installer

* Sat Oct 22 2022 Michael Stauber <mstauber@blueonyx.it> 5.2.0-2
- Added signon-script-blueonyx.php and modified config accordingly

* Sun Aug 21 2022 Michael Stauber <mstauber@blueonyx.it> 5.2.0-1
- Updated to latest version for 5211R.

